# class Chef::ChefFS::DataHandler::AclDataHandler

### Public Instance Methods

normalize(node, entry) click to toggle source

    # File lib/chef/chef_fs/data_handler/acl_data_handler.rb, line 7
    def normalize(node, entry)
      # Normalize the order of the keys for easier reading
      result = normalize_hash(node, {
        'create' => {},
        'read' => {},
        'update' => {},
        'delete' => {},
        'grant' => {}
        })
      result.keys.each do |key|
        result[key] = normalize_hash(result[key], { 'actors' => [], 'groups' => [] })
        result[key]['actors'] = result[key]['actors'].sort
        result[key]['groups'] = result[key]['groups'].sort
      end
      result
    end